Subject: Re: bug#65060: 29.1.50; display_count_lines segv
From: Eli Zaretskii <[email-masked]>
To: Kai Ma <[email-masked]>
Cc: [email-masked]
Date: Sat, 12 Aug 2023 15:08:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Kai Ma <[email-masked]>
> Date: Sat, 12 Aug 2023 19:56:27 +0800
> Cc: [email-masked]
> 
>  Thanks.  My guess was correct: the buffer in question was killed.
> 
>  Could you please try the patch below, and see if it avoids the
>  crashes?  The patch causes Emacs to signal an error when
>  format-mode-line is called for a dead buffer, so if I did this
>  correctly, you should see that Emacs no longer crashes, but there are
>  error messages about a dead buffer in *Messages*.  If this is what
>  happens, you should then take this up with the dirvish developers, and
>  ask them to avoid calling format-mode-line for a killed buffer.
> 
> Thanks!  The patch prevents the crash.  I will report this to dirvish developers.

Thanks, I've now installed the changes on the emacs-29 branch, and I'm
closing this bug.